| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | Public Attributes | List of all members
systemConfig Class Reference

`#include <config.h>`

## Public Member Functions
| systemConfig ()
| systemConfig (flashStream *fs)
bool | isValidSysConf ()
bool | getMAC ()
String | getMACString ()
bool | setMAC (macAddress &mac)
char * | getMQTTpwd (char *buffer, uint16_t bufLen)
bool | setMQTTpwd (char *pwd=NULL)
char * | getOTApwd (char *buffer, uint16_t bufLen)
bool | setOTApwd (char *pwd=NULL)
bool | setServer (char *url)
char * | getServer (char *buffer, uint16_t bufLen)
bool | getIP (IPAddress &ip)
bool | getMask (IPAddress &mask)
bool | getDNS (IPAddress &dns)
bool | getGW (IPAddress &gw)
bool | setIP (IPAddress &ip)
bool | setMask (IPAddress &mask)
bool | setDNS (IPAddress &dns)
bool | setGW (IPAddress &gw)
bool | setSerialDebuglevel (short)
bool | setUdpDebuglevel (short)
uint8_t | getSerialDebuglevel ()
uint8_t | getUdpDebuglevel ()
bool | clear ()
bool | getSaveSuccedConfig ()
bool | setSaveSuccedConfig (bool)
bool | getLoadHTTPConfig ()
bool | setLoadHTTPConfig (bool)
String | getETAG ()
bool | setETAG (String etag)
bool | saveETAG ()
bool | loadETAG ()
systemConfigFlags | getConfigFlags ()
bool | setConfigFlags (systemConfigFlags flags)

## Public Attributes
macAddress | mac

## Constructor & Destructor Documentation

## ◆ systemConfig() [1/2]

systemConfig::systemConfig | ( |  | ) |
| inline

## ◆ systemConfig() [2/2]

systemConfig::systemConfig | ( | flashStream * | fs | ) |
| inline

## Member Function Documentation

## ◆ clear()

bool systemConfig::clear | ( |  | ) |

## ◆ getConfigFlags()

systemConfigFlags systemConfig::getConfigFlags | ( |  | ) |

## ◆ getDNS()

bool systemConfig::getDNS | ( | IPAddress & | dns | ) |

## ◆ getETAG()

String systemConfig::getETAG | ( |  | ) |

## ◆ getGW()

bool systemConfig::getGW | ( | IPAddress & | gw | ) |

## ◆ getIP()

bool systemConfig::getIP | ( | IPAddress & | ip | ) |

## ◆ getLoadHTTPConfig()

bool systemConfig::getLoadHTTPConfig | ( |  | ) |

## ◆ getMAC()

bool systemConfig::getMAC | ( |  | ) |

## ◆ getMACString()

String systemConfig::getMACString | ( |  | ) |

## ◆ getMask()

bool systemConfig::getMask | ( | IPAddress & | mask | ) |

## ◆ getMQTTpwd()

char * systemConfig::getMQTTpwd | ( | char * | buffer,
|  | uint16_t | bufLen
| ) |  |

## ◆ getOTApwd()

char * systemConfig::getOTApwd | ( | char * | buffer,
|  | uint16_t | bufLen
| ) |  |

## ◆ getSaveSuccedConfig()

bool systemConfig::getSaveSuccedConfig | ( |  | ) |

## ◆ getSerialDebuglevel()

uint8_t systemConfig::getSerialDebuglevel | ( |  | ) |

## ◆ getServer()

char * systemConfig::getServer | ( | char * | buffer,
|  | uint16_t | bufLen
| ) |  |

## ◆ getUdpDebuglevel()

uint8_t systemConfig::getUdpDebuglevel | ( |  | ) |

## ◆ isValidSysConf()

bool systemConfig::isValidSysConf | ( |  | ) |

## ◆ loadETAG()

bool systemConfig::loadETAG | ( |  | ) |

## ◆ saveETAG()

bool systemConfig::saveETAG | ( |  | ) |

## ◆ setConfigFlags()

bool systemConfig::setConfigFlags | ( | systemConfigFlags | flags | ) |

## ◆ setDNS()

bool systemConfig::setDNS | ( | IPAddress & | dns | ) |

## ◆ setETAG()

bool systemConfig::setETAG | ( | String | etag | ) |

## ◆ setGW()

bool systemConfig::setGW | ( | IPAddress & | gw | ) |

## ◆ setIP()

bool systemConfig::setIP | ( | IPAddress & | ip | ) |

## ◆ setLoadHTTPConfig()

bool systemConfig::setLoadHTTPConfig | ( | bool | load | ) |

## ◆ setMAC()

bool systemConfig::setMAC | ( | macAddress & | mac | ) |

## ◆ setMask()

bool systemConfig::setMask | ( | IPAddress & | mask | ) |

## ◆ setMQTTpwd()

bool systemConfig::setMQTTpwd | ( | char * | pwd = `NULL` | ) |

## ◆ setOTApwd()

bool systemConfig::setOTApwd | ( | char * | pwd = `NULL` | ) |

## ◆ setSaveSuccedConfig()

bool systemConfig::setSaveSuccedConfig | ( | bool | flag | ) |

## ◆ setSerialDebuglevel()

bool systemConfig::setSerialDebuglevel | ( | short | level | ) |

## ◆ setServer()

bool systemConfig::setServer | ( | char * | url | ) |

## ◆ setUdpDebuglevel()

bool systemConfig::setUdpDebuglevel | ( | short | level | ) |

## Member Data Documentation

## ◆ mac

macAddress systemConfig::mac

The documentation for this class was generated from the following files:

- config.h
- config.cpp